Skip to content

New Payment

POST
/v1/pay

Initiate an instant payment using VALR Pay by specifying the recipient email, recipient cellphone number or their account payment reference (VALR PayID). To initiate a payment, your balance in the payment currency should be equal to, or greater than the minimum Payment limit. Successful requests return 202 - Accepted with an identifier and transactionId in the body.

Parameter Description
currency (required) The currency for the payment (e.g., ZAR)
amount (required) The amount to send
recipientEmail (conditional) Recipient's email address. One of recipientEmail, recipientCellNumber, or recipientPayId is required.
recipientCellNumber (conditional) Recipient's cellphone number. One of recipientEmail, recipientCellNumber, or recipientPayId is required.
recipientPayId (conditional) Recipient's VALR PayID. One of recipientEmail, recipientCellNumber, or recipientPayId is required.
recipientNote (optional) A note visible to the recipient
senderNote (optional) A note visible to the sender
anonymous (optional) If true, sender identity is hidden. Default false.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"currency": "USDC",
"amount": "12.00",
"recipientEmail": "test@gmail.com",
"recipientNote": "Great Service",
"senderNote": "Paid in full",
"anonymous": false
}

Responses

Payment accepted

application/json

Playground

Authorization
Body

Samples